import { UltraCalcFunctionLookupBase } from "./UltraCalcFunctionLookupBase";
import { ExcelCalcValue } from "./ExcelCalcValue";
import { ExcelCalcNumberStack } from "./ExcelCalcNumberStack";
import { Type } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class UltraCalcFunctionLookup extends UltraCalcFunctionLookupBase {
    static $t: Type;
    protected evaluate(a: ExcelCalcNumberStack, b: number): ExcelCalcValue;
    protected get_minArgs(): number;
    protected get_maxArgs(): number;
    protected get_name(): string;
    readonly name: string;
    doesParameterAllowIntermediateResultArray(a: number, b: boolean): boolean;
}
